.footer__credits-wrapper {
  position: relative;
}

.footer__credits-bar {
  position: fixed;
  bottom: 0px;
  left: auto;
  right: 0;
  height: 20px;
  overflow: hidden;
  background: var(--color-dark);
  transition: height 0.3s ease;
  width: 338px;
}

.footer__credits-panel {
  position: fixed;
  bottom: 100%;
  left: auto;
  right: 0;
  padding: 1.5rem;
  height: 20px;
  font-size: 14px;
  font-weight: 300;
  overflow: hidden;
  background: inherit;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  color: var(--color-white);
  align-items: flex-end;
  z-index: 100;
  width: 338px;
}

.footer__credits-panel.is-open {
  height: 200px;
  bottom: 20px;
}

.footer__credits-panel a {
  font-size: 16px;
  font-weight: 700;
}

.footer__credits-panel span {
  font-size: 14px;
  text-align: right;
}

.footer__credits-panel p.footer__credits {
  font-size: 12px;
  text-align: right;
  line-height: 1.2;
  color: #bbb;
  margin-top: 15px;
}

.footer__credits-toggle {
background: none;
  border: none;
  color: var(--color-white);
  width: 20px;
  height: 20px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1rem;
  line-height: 1;
  position: absolute;
  right: 0;
  bottom: 0;
}

.footer__credits-toggle:hover {
  opacity: 0.7;
}

@media (max-width: 575px) {
  .footer__credits-bar,
  .footer__credits-panel {
    width: calc(100% - (calc(14px + (calc(var(--spacing-page) * 2)))));
  }
}